%YAML 1.2
---
version: 1.1

proxies:

  username:
    redefine: true
    mandatory: false

  password:
    redefine: true
    hidden:
      jinja: |-
        {% if not _.username %}
          no username defined
        {% endif %}
      description: if username is not defined
...
